package com.bonus.canteen.core.menu.vo;

import com.bonus.canteen.core.common.enums.AllocMealtimeTypeEnum;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.List;

@ApiModel("安卓菜谱详情3")
public class AndroidRecipeDetailThreeVO {
   @ApiModelProperty("餐次id")
   private Long intervalId;
   @ApiModelProperty("餐次名称")
   private String intervalName;
   @ApiModelProperty("餐次类型")
   private Integer intervalType;
   @ApiModelProperty("优先级")
   private Integer priorityLevel;
   @ApiModelProperty("分类列表")
   private List<AndroidRecipeTypeThreeVO> typeList;

   public String getIntervalName() {
      return AllocMealtimeTypeEnum.getDescByKey(this.intervalType);
   }

   public Long getIntervalId() {
      return this.intervalId;
   }

   public Integer getIntervalType() {
      return this.intervalType;
   }

   public Integer getPriorityLevel() {
      return this.priorityLevel;
   }

   public List<AndroidRecipeTypeThreeVO> getTypeList() {
      return this.typeList;
   }

   public void setIntervalId(final Long intervalId) {
      this.intervalId = intervalId;
   }

   public void setIntervalName(final String intervalName) {
      this.intervalName = intervalName;
   }

   public void setIntervalType(final Integer intervalType) {
      this.intervalType = intervalType;
   }

   public void setPriorityLevel(final Integer priorityLevel) {
      this.priorityLevel = priorityLevel;
   }

   public void setTypeList(final List<AndroidRecipeTypeThreeVO> typeList) {
      this.typeList = typeList;
   }

}
